Bug 209226 - www/owncloud: can't login when using lang/php70
Summary: www/owncloud: can't login when using lang/php70
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Lo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-03 08:27 UTC by Piotr Kubaj
Modified: 2016-08-17 13:13 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-05-03 08:27:10 UTC
After updating PHP to 7.0.6 I can't login to Owncloud.

https://github.com/owncloud/core/pull/24343/commits/a834531aef418688538adb809a796cf830c5385b seems to fix the issue.

Could this be also MFH'd to 2016Q2?
Comment 1 commit-hook freebsd_committer 2016-05-04 03:22:30 UTC
A commit references this bug:

Author: kevlo
Date: Wed May  4 03:21:39 UTC 2016
New revision: 414579
URL: https://svnweb.freebsd.org/changeset/ports/414579

Log:
  Add upstream patch to make ownCloud work in php 7.0.6

  PR:	209226
  Submitted by:	Piotr Kubaj <pkubaj at anongoth.pl>

Changes:
  head/www/owncloud/Makefile
  head/www/owncloud/files/patch-lib_private_appframework_http_request.php
Comment 2 Kevin Lo freebsd_committer 2016-05-04 03:24:19 UTC
Committed, thanks.
Comment 3 Piotr Kubaj freebsd_committer 2016-05-04 04:21:12 UTC
(In reply to Kevin Lo from comment #2)
Thanks, but since PHP was updated to 7.0.6 in 2016Q2, the patch needs to be also committed to 2016Q2.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-13 04:57:41 UTC
Assign to committer that resolved.

@Kevin, please do this for all issues you resolve (ideally at the time you decide to 'take it', as early as possible)

Assume that since this was committed prior to the last quarterly branch (July), that MFH is no longer necessary (so set -)

@Piotr, if this is not the case, please-reopen the issue with instructions.